/* Common Style starts */
:root {
    --page-primary-bg: #EB4714;
    --page-secondary-bg: #F0F0F0;
    --page-dark: #1E1E1E;
    --page-theme: #30AD1C;
    --text-theme: #0B0C0D;
    --text-grey: #58646A;
    --tick-icon: url(../images/manufacturing-images/check-icon.webp);
}

.page-primary {
    background-color: var(--page-primary-bg);
}

.page-secondary {
    background-color: var(--page-secondary-bg);
}

.page-dark {
    background-color: var(--page-dark)
}

.text-grey {
    color: var(--text-grey) !important;
}

html body {
    color: var(--text-theme) !important;
}

.object-cover {
    object-fit: cover;
}

.button-primary,
.button-primary:hover {
    color: var(--white-color);
    background: var(--page-primary-bg) !important;
}

.button-secondary, .button-secondary:hover {
    color: var(--white-color);
    background: #FFFFFF33 !important;
    border: 1px solid #FFFFFF;
}

.button svg {
    animation: pulso 2s infinite;
    border-radius: 100px;
}

.sections-wrapper {
    padding: 20px 20px;
}

@keyframes pulso {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.8);
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.8);
    }

    70% {
        -moz-box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
        box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
    }

    100% {
        -moz-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
    }
}

/* Hero Section */

.hero-section {
    background-image: url(../images/manufacturing-images/banner-intro.webp);
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 40px;
    padding: 150px 0;
}

.check-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: left;
}

.check-list li {
    font-size: 20px;
    padding: 0 0 0 44px;
    position: relative;
    color: var(--white-color) !important;
}

.check-list li::before {
    content: '';
    background-image: var(--tick-icon);
    display: inline-block;
    position: absolute;
    inset: 1px auto 0 0;
    width: 26px;
    height: 26px;
    background-repeat: no-repeat;
    background-size: contain;
}

/* Counter Intro */

.counter-wrapper {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(2, 1fr);
}

.counter-block {
    background-color: var(--page-secondary-bg);
    padding: 30px 30px;
    border-radius: 30px;
}

/* Manufacturing Block */

.manufacturing-intro {
    background-color: var(--white-color);
    position: relative;
}

.manufacturing-intro::before {
    content: '';
    background-color: var(--page-secondary-bg);
    border-radius: 20px 20px;
    position: absolute;
    top: 0;
    margin: auto;
    width: 100%;
    height: calc(100% - 250px);
}

.manufacturing-slider .swiper-slide {
    height: auto !important;
}

.manufacturing-block {
    background-color: var(--white-color);
    padding: 25px 25px;
    width: 100%;
    height: 100%;
    border-radius: 30px;
    position: relative;
    overflow: hidden;
    transition: all 0.3s;
    cursor: none;
}

.manufacturing-img {
    border: 4px solid var(--white-color);
    border-radius: 15px;
}

.manufacturing-img img {
    width: 100%;
    height: 100%;
    border-radius: 15px;
    object-fit: cover;
}

.manufacturing-block::before {
    content: '';
    position: absolute;
    inset: 0;
    background: var(--page-primary-bg);
    width: 100%;
    height: 0;
    transition: all 0.3s;
    border-radius: 30px;
}

.manufacturing-block:hover::before {
    height: 100%;
}

.manufacturing-block:hover p,
.manufacturing-block:hover h4 {
    color: var(--white-color) !important;
}

.cursor {
    position: fixed;
    left: var(--cursor-x);
    top: var(--cursor-y);
    width: 80px;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    color:var(--white-color);
    font-size: 20px;
    font-weight: 600;
    background:var(--page-dark);
    border-radius: 50%;
    transform: translate(-50%, -50%) scale(0);
    z-index: 2;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s, transform 0.2s;
}

body.show-custom-cursor .cursor {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
}

/* Process Block */

.process-intro {
    background-color: var(--white-color);
    position: relative;
}

.process-intro::before {
    content: '';
    background-image: url(../images/manufacturing-images/process-intro.webp);
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 0 0 20px 20px;
    position: absolute;
    top: 0;
    margin: auto;
    width: 100%;
    height: calc(100% - 250px);
}

.process-intro.choice-intro::before {
    background-image: url(../images/manufacturing-images/choice-intro.webp);
    height: calc(100% - 250px);
}

.process-block {
    padding: 40px 30px;
    backdrop-filter: blur(50px);
    background-color: #00000080;
    transition: all 0.3s;
    display: flex;
    gap: 30px;
    border-radius: 30px;
    overflow: hidden;
}

.process-wrap {
    display: flex;
    flex-direction: column;
    gap: 30px;
    text-align: center;
}

.process-count {
    -webkit-text-stroke: 2px var(--page-primary-bg);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 100px;
    font-weight: bold;
    line-height: 1;
}

.process-block:hover {
    background-color: var(--page-primary-bg);
}

.process-block:hover .process-count {
    -webkit-text-stroke: 2px var(--white-color);
}

.process-block:hover svg path {
    stroke: var(--white-color) !important;
}

/* Service Block */

.service--block {
    background-color: var(--page-secondary-bg);
    padding: 30px 30px 30px;
    position: relative;
    border-radius: 30px;
    transition: all 0.3s;
}

.slanted-shape {
    width: 280px;
    height: 190px;
    position: absolute;
    background-color: var(--page-dark);
    clip-path: polygon(0% 15%, 0% 100%, 100% 0%, 0% 0%);
    left: 0;
    top: 0;
    border-radius: 30px 0 0 0;
    transition: all 0.3s;
}

.service--icon {
    box-shadow: 0px -4px 10px 0px #E55314 inset;
    background: #EB471414;
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    padding: 15px;
    justify-content: center;
    transition: all 0.3s;
}

.service--content {
    padding: 100px 0 0;
}

.service--block:hover,
.service--block:hover .slanted-shape,
.choice-block:hover,
.benefit-block:hover {
    background-color: var(--page-primary-bg);
}

.service--block:hover .service--icon,
.choice-block:hover .service--icon,
.benefit-block:hover .service--icon {
    box-shadow: 0px -4px 10px 0px #FFFFFF inset;
}

.service--block:hover h4,
.service--block:hover p,
.benefit-block:hover h4,
.benefit-block:hover p {
    color: var(--white-color) !important;
}

/* Choice Block */

.choice-block {
    background: #00000080;
    backdrop-filter: blur(50px);
    border-radius: 30px;
    overflow: hidden;
    padding: 30px 30px;
    transition: all 0.3s;
    width: 100%;
}

/* Benefit Block */

.benefit-block {
    background: var(--page-secondary-bg);
    text-align: center;
    border-radius: 30px;
    overflow: hidden;
    padding: 30px 30px;
    transition: all 0.3s;
    width: 100%;
}

.benefit-block:hover img {
    filter: invert();
}

/* CTA Wrapper */

.cta-block {
    background-image: url(../images/manufacturing-images/cta-bg.webp);
    background-size: cover;
    background-repeat: no-repeat;
    padding: 80px 90px;
    border-radius: 20px;
}

.button-block {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

/* Faq Block */

.new-faq .accordion-item {
    padding: 32px 0px !important;
}

.sections-wrapper .new-faq .accordion-item h2.accordion-header button {
    font-size: 24px !important;
}

/* Responsive */

@media only screen and (max-width: 1599px) {
    .padding-left {
        --page-width: 1200px !important;
        padding-left: calc(50% -(var(--page-width) / 2) + 12px);
    }
}

@media only screen and (max-width: 991px) {

    .cta-block {
        padding: 40px 20px;
    }

    .service--block,
    .choice-block,
    .benefit-block,
    .process-block {
        padding: 20px 20px;
        border-radius: 20px;
    }

    .process-block {
        flex-direction: column;
        text-align: center;
    }

    .check-list {
        margin-inline: auto;
        width: fit-content;
    }
}

@media only screen and (max-width: 767px) {

    .new-faq .accordion-item {
        padding: 20px 0px !important;
    }
}